/*
	testsupport.h: define some testing helpers
 */

#define __str(s) #s
#define DOUBLE_SAME(a,b)  assert_double_same( (a), __str(a), (b), __str(b) )
#define STR_SAME(a,b)  assert_str_same( (a), __str(a), (b), __str(b) )

extern void assert_double_same( double a, char *astr, double b, char *bstr );
extern void assert_str_same( char *a, char *astr, char *b, char *bstr );
